Subject: Re: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 30 Jan 2013 16:02:41 -0500

>> > Anyway, if ":initialize 'custom-initialize-default" is such a
>> > wonderful feature that everyone wants, why isn't it the default, and
>> > why does the user of defcustom need to opt-in it?
>> Sadly, it all depends on the particulars of the case at hand.
> Could you perhaps elaborate a bit more?

Not much, really.  Basically it depends on the typical use case, and on
what happens in the rest of the code (e.g. if the setter is not run,
is the resulting state consistent and to which value does it
correspond).

        Stefan